<div class="px-3 py-5 custom-color">
  <div class="row px-11  py-5 padding-0">
    <div class="col-md-12">
      <h1 class="row text-white">Frequently Asked Questions</h1>
      <p class="row text-white">Got questions? We've got answers! Check out our FAQ section to find answers to the most
        common questions about StreamVibe.</p>
    </div>
    <div class="col-auto">
      <button type="button" class="btn btn-secondary btn-lg custom-button ">Add Question</button>
    </div>
  </div>
  <div class="row px-11 faq-color padding-0">
    <div class="col-md-6 col-12 " *ngFor="let faq of faqs">
      <div class="card card-color text-white mb-1">
        <div class="card-body">
          <div class="row  p-2">
            <div class="col">

              <h6 class="card-title "><span class="number-color p-md-3 p-2 rounded align-item-center">{{faq.id}}</span>
                {{faq.question}}</h6>
            </div>
            <div class="col-auto">
              <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-plus-lg"
                viewBox="0 0 16 16" (click)="toggleAnswer(faq)" *ngIf="!faq.selected">
                <path fill-rule="evenodd"
                  d="M8 2a.5.5 0 0 1 .5.5v5h5a.5.5 0 0 1 0 1h-5v5a.5.5 0 0 1-1 0v-5h-5a.5.5 0 0 1 0-1h5v-5A.5.5 0 0 1 8 2" />
              </svg>
              <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-dash-lg"
                viewBox="0 0 16 16" *ngIf="faq.selected" (click)="toggleAnswer(faq)">
                <path fill-rule="evenodd" d="M2 8a.5.5 0 0 1 .5-.5h11a.5.5 0 0 1 0 1h-11A.5.5 0 0 1 2 8" />
              </svg>
            </div>
          </div>
          <p class="card-text p-3" *ngIf="faq.selected">{{faq.answer}}</p>

        </div>
      </div>
    </div>
  </div>
</div>